From 4cb73daef2a70c7e0f22df91b9d9f473d2ebc297 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 3 Jul 2009 10:38:59 +0200
Subject: [PATCH] Disable warnings are errors for ARM (alignment warnings)

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gnome-power-manager-warn-not-error-ARM.patch |   11 +++++++++++
 gnome-power-manager.spec                     |   16 ++++++++++++++--
 2 files changed, 25 insertions(+), 2 deletions(-)
 create mode 100644 gnome-power-manager-warn-not-error-ARM.patch

diff --git a/gnome-power-manager-warn-not-error-ARM.patch b/gnome-power-manager-warn-not-error-ARM.patch
new file mode 100644
index 0000000..ca26bb3
--- /dev/null
+++ b/gnome-power-manager-warn-not-error-ARM.patch
@@ -0,0 +1,11 @@
+diff -dur gnome-power-manager-2.26.1.backup/configure.ac gnome-power-manager-2.26.1/configure.ac
+--- gnome-power-manager-2.26.1.backup/configure.ac	2009-04-21 06:55:49.000000000 -0400
++++ gnome-power-manager-2.26.1/configure.ac	2009-07-03 05:18:01.086553204 -0400
+@@ -27,7 +27,6 @@
+ 
+ if test "$GCC" = "yes"; then
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wall"
+-	WARNINGFLAGS="$WARNINGFLAGS -Werror"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wcast-align -Wno-uninitialized"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wmissing-declarations"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wredundant-decls"
diff --git a/gnome-power-manager.spec b/gnome-power-manager.spec
index 9b9dab8..03c13f0 100644
--- a/gnome-power-manager.spec
+++ b/gnome-power-manager.spec
@@ -5,7 +5,7 @@
 Summary: GNOME power management service
 Name: gnome-power-manager
 Version: 2.28.1
-Release: 5%{?dist}
+Release: 5%{?dist}.fa1
 #Release: 0.5.%{?alphatag}git%{?dist}
 License: GPLv2+ and GFDL
 Group: Applications/System
@@ -26,6 +26,8 @@ Patch2: 0002-Make-the-left-and-right-buttons-on-the-status-icon-b.patch
 BuildRequires: autoconf automake libtool
 Patch3: 0001-Use-gnome-settings-daemon-popup-code.patch
 
+Patch10:   gnome-power-manager-warn-not-error-ARM.patch
+
 BuildRequires: libwnck-devel
 BuildRequires: hal-devel >= %{hal_version}
 BuildRequires: dbus-devel >= %{dbus_version}
@@ -76,12 +78,19 @@ Extra GNOME power management applications that are not normally needed.
 %patch1 -p1 -b .remove-help
 %patch2 -p1 -b .uni-menu
 %patch3 -p1 -b .osd
+%ifarch %{arm}
+%patch10 -p1 -b .arm
+%endif
 autoreconf -i
 
 %build
 %configure \
 	--disable-scrollkeeper \
-	--enable-policykit
+	--enable-policykit \
+%ifarch %{arm}
+	--enable-compile-warnings=maximum
+%endif
+
 make
 
 # strip unneeded translations from .mo files
@@ -196,6 +205,9 @@ fi
 %{_datadir}/icons/hicolor/*/apps/gnome-inhibit-applet.*
 
 %changelog
+* Mon Nov 02 2009 Jitesh Shah <jiteshs@marvell.com> - 2.28.1-5.fa1
+- Disable warnings as errors for ARM (alignment warnings)
+
 * Thu Oct 29 2009 Bastien Nocera <bnocera@redhat.com> 2.28.1-5
 - Fix OSD showing a volume label when switching compositing off
 
-- 
1.5.5.6

